TS_CONF_GET(3)

NAME
ts_conf_get - get a pointer to struct ts_module_conf holding data from the TSLIB_CONFFILE file.

SYNOPSIS
#include <tslib.h>

struct ts_module_conf *ts_conf_get(struct tsdev *ts);

DESCRIPTION
ts_conf_get() This function returns a pointer to a struct ts_module_conf that is part of a list of modules listed in the TSLIB_CONFFILE configuration file. ts_conf_get() actually reads TSLIB_CONFFILE. One struct represents one line in the file. They get allocated for the user here:
struct ts_module_conf {
	char *name;
	char *params;
	int raw;
	int nr;
	struct ts_module_conf *next;
	struct ts_module_conf *prev;
};

RETURN VALUE
This function returns a pointer to a struct ts_module_conf.

SEE ALSO
ts_conf_set(3), ts.conf(5)